Bug 833084 - 3.1 - [Storage] Pool SPM ID value shouldn't be None !
3.1 - [Storage] Pool SPM ID value shouldn't be None !
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Federico Simoncelli
Leonid Natapov
Storage
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 10:38 EDT by Leonid Natapov
Modified: 2012-12-04 13:59 EST (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-32.0
Doc Type: Bug Fix
Doc Text:
Previously, a bug caused the Pool SPM ID value in the metadata file to become 'None'. This caused issues with identifying Pool SPMs. Now, the ID value is attributed correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (201.90 KB, application/octet-stream)
2012-06-18 10:38 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-06-18 10:38:56 EDT
Created attachment 592679 [details]
log

Pool SPM ID value shouldn't be 'None'.
For some reason Pool SPM ID value in the metadata file became 'None'.
It shouldn't happen because the engine expects for the INT and not string.
vdsm.log files are attached.

[root@purple-vds2 dom_md]# cat metadata
CLASS=Data
DESCRIPTION=nfs
IOOPTIMEOUTSEC=10
LEASERETRIES=3
LEASETIMESEC=60
LOCKPOLICY=
LOCKRENEWALINTERVALSEC=5
MASTER_VERSION=1
POOL_DESCRIPTION=NFS
POOL_DOMAINS=adcf94f2-941d-4ea3-91a5-2d8002c1d883:Active
POOL_SPM_ID=None
POOL_SPM_LVER=9
POOL_UUID=b68d3bfd-1f4a-41ae-836a-20b5b514d122
REMOTE_PATH=orion.qa.lab.tlv.redhat.com:/export/lesik
ROLE=Master
SDUUID=adcf94f2-941d-4ea3-91a5-2d8002c1d883
TYPE=NFS
VERSION=0
_SHA_CKSUM=6b92ab1030adee7971b431a74dcf9076f47aa741
Comment 2 Ayal Baron 2012-08-17 18:30:59 EDT
Change ID: Ifd0276f106f7a586025b8d3329ede1aac5a9905b
Comment 4 Leonid Natapov 2012-09-27 10:24:40 EDT
fixed. tested with vdsm-4.9.6-36.0.el6_3.x86_64.
Comment 8 errata-xmlrpc 2012-12-04 13:59:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.